Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.cataloguemanager.control
Class SearchResultBean

    java.lang.Object
      org.deegree.portal.cataloguemanager.control.SearchResultBean

    public class SearchResultBean

extends Object

TODO add class documentation here

Version:
  $Revision: $, $Date: $
Author:
  Andreas Poth, last edited by: $Author: admin $

Constructor Summary
`SearchResultBean()`

Method Summary
`String` | `getAbstr()`
`String` | `getBbox()`
`String` | `getCsw()`
`String` | `getHierarchyLevel()`
`String` | `getId()`
`String` | `getModified()`
`String` | `getOverview()`
`String` | `getTitle()`
`void` | `setAbstr(String abstr)`
`void` | `setBbox(String bbox)`
`void` | `setCsw(String csw)`
`void` | `setHierarchyLevel(String hierarchyLevel)`
`void` | `setId(String id)`
`void` | `setModified(String modified)`
`void` | `setOverview(String overview)`
`void` | `setTitle(String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchResultBean

    public SearchResultBean()

Method Detail

### getModified

    public String getModified()

  Returns:
    the modified

### setModified

    public void setModified(String modified)

  Parameters:
    `modified` - the modified to set

### getTitle

    public String getTitle()

  Returns:
    the title

### setTitle

    public void setTitle(String title)

  Parameters:
    `title` - the title to set

### getAbstr

    public String getAbstr()

  Returns:
    the abstr

### setAbstr

    public void setAbstr(String abstr)

  Parameters:
    `abstr` - the abstr to set

### getCsw

    public String getCsw()

  Returns:
    the csw

### setCsw

    public void setCsw(String csw)

  Parameters:
    `csw` - the csw to set

### getId

    public String getId()

  Returns:
    the id

### setId

    public void setId(String id)

  Parameters:
    `id` - the id to set

### getHierarchyLevel

    public String getHierarchyLevel()

  Returns:
    the hierarchyLevel

### setHierarchyLevel

    public void setHierarchyLevel(String hierarchyLevel)

  Parameters:
    `hierarchyLevel` - the hierarchyLevel to set

### getBbox

    public String getBbox()

  Returns:
    the bbox

### setBbox

    public void setBbox(String bbox)

  Parameters:
    `bbox` - the bbox to set

### getOverview

    public String getOverview()

  Returns:
    the overview

### setOverview

    public void setOverview(String overview)

  Parameters:
    `overview` - the overview to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org